Subject: bug#7822: 24.0.50; `fit-window-to-buffer': take display artefacts into account

From: "Drew Adams" <[email-masked]>
Date: Wed, 12 Jan 2011 07:11:24 -0800

> To be more clear: I was taking into account to few windows. All
> windows below and above must be taken into account.

I don't see why _any_ windows should be taken into account.  The window for the
buffer should be resized to fit the displayed buffer, period.  If that is not
possible for some reason, then we decide what to do.

For that decision, I would imagine that we decide the same way we decide now
when you try to resize a window to size S and that is not possible.  Why is this
case any different from other resizing cases?

AFAICT, all that's involved here is to determine the desired window size.
Beyond that, there should be nothing new.